<template>
  <q-layout view="hHh LpR fFf">
    <q-header elevated class="text-white bg-blue">
      <q-toolbar>
        <q-btn dense flat round icon="menu" @click="toggleLeftDrawer" />
        <q-toolbar-title>Mi Rincon {{ titulo }}</q-toolbar-title>
        <q-space />
        <MenuConfiguracion />
      </q-toolbar>
    </q-header>
    <q-drawer
      :width="240"
      show-if-above
      v-model="leftDrawerOpen"
      side="left"
      elevated
      class="bg-blue-grey-10"
    >
      <q-scroll-area style="height: calc(100% - 120px); margin-top: 120px">
        <q-separator color="white" inset />
        <q-list padding dark>
          <q-item clickable v-ripple to="/">
            <q-item-section avatar>
              <q-icon name="home" />
            </q-item-section>
            <q-item-section>Panel de Control</q-item-section>
          </q-item>
          <EssentialLink
            v-for="link in essentialLinks"
            :key="link.title"
            v-bind="link"
          />
        </q-list>
      </q-scroll-area>
      <div
        class="absolute-top q-ma-sm text-center text-white"
        style="min-height: 200px"
      >
        <div class="absolute-bottom bg-transparent">
          <q-avatar rounded size="64px" class="q-mb-sm">
            <img
              :src="
                'https://api.mirincon.ar/api/foto/' + user.details.persona.uuid
              "
            />
          </q-avatar>
          <div class="text-weight-bold">
            {{ user.details.persona.apellidoynombre }}
            <q-list dense>
              <q-item
                v-for="funcion in user.details.login.funciones"
                :key="funcion"
              >
                <q-item-section> {{ funcion }} </q-item-section>
              </q-item>
            </q-list>
          </div>
        </div>
      </div>
    </q-drawer>
    <q-page-container class="bg-grey-3">
      <router-view />
    </q-page-container>
  </q-layout>
</template>
<style>
@media print {
  .q-drawer-container {
    display: none !important;
  }
}
</style>
<script>
import EssentialLink from 'components/EssentialLink.vue';
import 'IconosScout/dist/css/open-scouts-iconos-fonts.css';
import linksList from './menu';
import { ref } from 'vue';
import { useUserStore } from 'src/stores/user';
import { useMeta } from 'quasar';
import MenuConfiguracion from './MainLayout/_MenuConfiguracion.vue';

const titulo = process.env.DEV ? ' - DESARROLLO' : '';

const metaData = {
  // sets document title
  title: 'Mi Rincon',
  // optional; sets final title as "Index Page - My Website", useful for multiple level meta
  titleTemplate: (title) => `${title} ${titulo}`,
};

export default {
  components: {
    EssentialLink,
    MenuConfiguracion,
  },
  setup() {
    useMeta(metaData);
    const store = useUserStore();
    const leftDrawerOpen = ref(true);
    return {
      titulo,
      user: store,
      essentialLinks: linksList,
      leftDrawerOpen,
      toggleLeftDrawer() {
        leftDrawerOpen.value = !leftDrawerOpen.value;
      },
    };
  },
};
</script>
